LIBLINEAR-PREDICT(1)

NAME
liblinear-predict - Make predictions based on a trained linear classifier model

SYNOPSIS
linear-predict [options] test_file model_file output_file

DESCRIPTION
liblinear-predict uses the linear classifier model-file to make predictions for each of the samples in test_file and stores the results in output_file.

OPTIONS
A summary of options is included below.

-b (0|1)
    Whether to output probability estimates or not (default: 0)

-q  quiet mode (no outputs)

EXAMPLES
Train a linear SVM using L2-loss function with linear-train(1):

     liblinear-train data_file

Output probability estimates (for logistic regression only):

     liblinear-predict -b 1 test_file data_file.model output_file

SEE ALSO
liblinear-train(1), svm-predict(1), svm-train(1)

AUTHORS
liblinear-predict was written by the LIBLINEAR authors at National Taiwan university for the LIBLINEAR Project.

This manual page was written by Christian Kastner <debian@kvr.at>, for the Debian project (and may be used by others).